Scale Process

Scale Process
Scale a process

Scale a process.

Request
URI
POST
https://api.example.local/v3/processes/{guid}/actions/scale
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body
{
    "instances": 0,
    "memory_in_mb": 0,
    "disk_in_mb": 0,
    "log_rate_limit_in_bytes_per_second": 0
}
integer
instances
Optional

The number of instances to run

integer
memory_in_mb
Optional

The memory in MB allocated per instance

integer
disk_in_mb
Optional

The disk in MB allocated per instance

integer
log_rate_limit_in_bytes_per_second
Optional

The log rate limit in bytes per second per instance

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns Process of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "version": "string",
    "type": "string",
    "command": "string",
    "user": "string",
    "instances": 0,
    "memory_in_mb": 0,
    "disk_in_mb": 0,
    "log_rate_limit_in_bytes_per_second": 0,
    "registry_credential_last_synced_at": "string",
    "health_check": {
        "type": "string",
        "data": {
            "timeout": 0,
            "invocation_timeout": 0,
            "interval": 0,
            "endpoint": "string"
        }
    },
    "readiness_health_check": {
        "type": "string",
        "data": {
            "timeout": 0,
            "invocation_timeout": 0,
            "interval": 0,
            "endpoint": "string"
        }
    },
    "relationships": {
        "app": {
            "data": {
                "guid": "string"
            }
        },
        "revision": {
            "data": {
                "guid": "string"
            }
        },
        "registry_credential": {
            "data": {
                "guid": "string"
            }
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "scale": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "space": {
            "href": "string",
            "method": "string"
        },
        "stats": {
            "href": "string",
            "method": "string"
        },
        "registry_credential": {
            "href": "string",
            "method": "string"
        }
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/v3/processes/{guid}/actions/scale